%global srcname Redfishtool
%global lsrcname redfishtool

Name:           redfishtool
Version:        1.1.8
Release:        1%{?dist}
Summary:        Commandline tool implementint the client side of the Redfish RESTful API

License:        MIT
URL:            https://github.com/DMTF/Redfishtool
Source0:        https://github.com/DMTF/Redfishtool/archive/refs/tags/${version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
#BuildRequires:  python3-dateutil
#BuildRequires:  python3-requests

%description
redfishtool is a commandline tool that implements the client side of the
Redfish RESTful API for Data Center Hardware Management.

Redfish is the new RESTful API for hardware management defined by the DMTF
Scalable Platform Management Forum (SPMF). It provides a modern, secure,
multi-node, extendable interface for doing hardware management. The initial
release included hardware inventory, server power-on/off/reset, reading
power draw, setting power limits, reading sensors such as fans, read/write
of ID LEDs, asset tags, and went beyond IPMI in functionality to include
inventory of processors, storage, Ethernet controllers, and total memory.
New Redfish extensions have now been added to the spec and include firmware
update, BIOS config, memory inventory, direct attached storage control,
and the list grows.

redfishtool makes it simple to use the Redfish API from a BASH script or
interactively from a client command shell.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{lsrcname}lib
rm -f %{buildroot}%{_bindir}/*.py

%files -f %{pyproject_files}
%license LICENSE.md
%doc AUTHORS.md README.md CHANGELOG.md CONTRIBUTING.md
%{_bindir}/%{lsrcname}

%changelog
* Sun Aug 25 2024 Josko Plazonic <plazonic@princeton.edu> - 1.1.8-1
- initial build
